Bug 812793 - [vdsm][addNetwork] addNetwork/setupNetworks fails to attach network to an interface.
[vdsm][addNetwork] addNetwork/setupNetworks fails to attach network to an int...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: Igor Lvovsky
Yaniv Kaul
network
: Regression, TestBlocker
Depends On:
Blocks: 753625
  Show dependency treegraph
 
Reported: 2012-04-16 05:09 EDT by David Naori
Modified: 2013-07-03 22:42 EDT (History)
19 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-10.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 13:57:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Naori 2012-04-16 05:09:43 EDT
Description of problem:
addNetwork/setupNetworks fails to attach network to an interface.

Thread-18::DEBUG::2012-04-16 12:02:01,753::BindingXMLRPC::869::vds::(wrapper) client [10.35.97.112]::call addNetwork with ('david', '', '', ['eth1'], {'STP': 'no'}) {} flowID [88178ae]
MainProcess|Thread-18::DEBUG::2012-04-16 12:02:01,798::configNetwork::583::root::(addNetwork) validating bridge...
MainProcess|Thread-18::ERROR::2012-04-16 12:02:01,800::supervdsmServer::60::SuperVdsm.ServerCallback::(wrapper) Error in addNetwork
Traceback (most recent call last):
  File "/usr/share/vdsm/supervdsmServer.py", line 58, in wrapper
    return func(*args, **kwargs)
  File "/usr/share/vdsm/supervdsmServer.py", line 94, in addNetwork
    return configNetwork.addNetwork(bridge, **options)
  File "/usr/share/vdsm/configNetwork.py", line 587, in addNetwork
    bridged=bridged, skipLibvirt=skipLibvirt)
  File "/usr/share/vdsm/configNetwork.py", line 536, in _addNetworkValidation
    bridgesForNic = list(_netinfo.getNetworksForNic(nic))
  File "/usr/lib/python2.6/site-packages/vdsm/netinfo.py", line 340, in getNetworksForNic
    if nic in netdict['ports']:
KeyError: 'ports'
Thread-18::ERROR::2012-04-16 12:02:01,801::BindingXMLRPC::884::vds::(wrapper) unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/BindingXMLRPC.py", line 874, in wrapper
    res = f(*args, **kwargs)
  File "/usr/share/vdsm/BindingXMLRPC.py", line 336, in addNetwork
    return api.addNetwork(bridge, vlan, bond, nics, options)
  File "/usr/share/vdsm/API.py", line 1110, in addNetwork
    supervdsm.getProxy().addNetwork(bridge, options)
  File "/usr/share/vdsm/supervdsm.py", line 59, in __call__
    return callMethod()
  File "/usr/share/vdsm/supervdsm.py", line 57, in <lambda>
    callMethod = lambda : getattr(self._supervdsmProxy._svdsm, self._funcName)(*args, **kwargs)
  File "<string>", line 2, in addNetwork
  File "/usr/lib64/python2.6/multiprocessing/managers.py", line 740, in _callmethod
    raise convert_to_error(kind, result)
KeyError: 'ports'

Version-Release number of selected component (if applicable):
vdsm-4.9.6-7.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.try to attach network to an interface via setupNetworks
  
Actual results:


Expected results:


Additional info:
Comment 4 Lei Li 2012-05-04 04:50:35 EDT
I saw the subject of this bug is 'addNetwork/setupNetworks...', 
do you mean both action of adding and setup network have this problem? 
or after addNetwork then setupNetworks this error will occur? 

I have met this problem once, not sure what cause this error, but seems not for attaching network to an interface.

To make things clear, could you please give some more details on how to reproduce it?

Thanks!
Comment 5 Lei Li 2012-05-04 04:52:45 EDT
I saw the subject of this bug is 'addNetwork/setupNetworks...', 
do you mean both action of adding and setup network have this problem? 
or after addNetwork then setupNetworks this error will occur? 

I have met this problem once, not sure what cause this error, but seems not for attaching network to an interface.

To make things clear, could you please give some more details on how to reproduce it?

Thanks!
Comment 6 David Naori 2012-05-06 03:38:35 EDT
(In reply to comment #5)
> I saw the subject of this bug is 'addNetwork/setupNetworks...', 
> do you mean both action of adding and setup network have this problem? 
> or after addNetwork then setupNetworks this error will occur? 
> 
> I have met this problem once, not sure what cause this error, but seems not for
> attaching network to an interface.
> 
> To make things clear, could you please give some more details on how to
> reproduce it?
> 
> Thanks!

I have met this problem both in addNetwork and setupNetwork actions.
I suspect that after a failure in setupNetworks, addNetwork fails too with the same error.

try the following reproduce steps:
1) Create 4 vlan networks
2) Try to attach all of them to a single host interface via setupNetworks

if it fails i suspect that any other attempt to attach network to an interface via addNetwork/setupNetwork will fail with the same error.
Comment 8 Douglas Schilling Landgraf 2012-05-08 10:02:04 EDT
*** Bug 817034 has been marked as a duplicate of this bug. ***
Comment 9 Martin Pavlik 2012-05-09 09:12:24 EDT
Verified on vdsm-4.9.6-10.el6

it is working I could add 4 VLANS to single NIC via SetupNetworks


[root@dell-r210ii-06 ~]# ip a l VLAN400
25: VLAN400: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN 
    link/ether 90:e2:ba:04:28:c0 brd ff:ff:ff:ff:ff:ff
    inet6 fe80::92e2:baff:fe04:28c0/64 scope link 
       valid_lft forever preferred_lft forever
[root@dell-r210ii-06 ~]# ip a l VLAN500
33: VLAN500: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN 
    link/ether 90:e2:ba:04:28:c0 brd ff:ff:ff:ff:ff:ff
    inet6 fe80::92e2:baff:fe04:28c0/64 scope link 
       valid_lft forever preferred_lft forever
[root@dell-r210ii-06 ~]# ip a l VLAN600
31: VLAN600: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN 
    link/ether 90:e2:ba:04:28:c0 brd ff:ff:ff:ff:ff:ff
    inet6 fe80::92e2:baff:fe04:28c0/64 scope link 
       valid_lft forever preferred_lft forever
[root@dell-r210ii-06 ~]# ip a l VLAN700
29: VLAN700: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN 
    link/ether 90:e2:ba:04:28:c0 brd ff:ff:ff:ff:ff:ff
    inet6 fe80::92e2:baff:fe04:28c0/64 scope link 
       valid_lft forever preferred_lft forever


Package versions:

[root@dell-r210ii-06 ~]# rpm -qa | egrep "vdsm|libvirt|qemu"
qemu-kvm-rhev-tools-0.12.1.2-2.292.el6.x86_64
libvirt-devel-0.9.10-18.el6.x86_64
vdsm-python-4.9.6-10.el6.noarch
vdsm-cli-4.9.6-10.el6.noarch
qemu-kvm-rhev-debuginfo-0.12.1.2-2.292.el6.x86_64
libvirt-python-0.9.10-18.el6.x86_64
qemu-img-rhev-0.12.1.2-2.292.el6.x86_64
libvirt-client-0.9.10-18.el6.x86_64
libvirt-debuginfo-0.9.10-18.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.292.el6.x86_64
libvirt-0.9.10-18.el6.x86_64
vdsm-4.9.6-10.el6.x86_64
gpxe-roms-qemu-0.9.7-6.9.el6.noarch
Comment 12 errata-xmlrpc 2012-12-04 13:57:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.